Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156495 - FC4 rebuild failed - build log missing
Summary: FC4 rebuild failed - build log missing
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Config-Tiny
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-01 09:37 UTC by Michael Schwendt
Modified: 2014-01-21 22:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-08 21:09:11 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2005-05-01 09:37:29 UTC
This package failed to rebuild for FC4 Development around 2005-04-11 after an
automated release bump.

But the build log is not available. As soon as builds are done again, a retry
should produce a new log.

Architectures: ppc

Build failure logs [usually] at:
http://fedoraproject.org/extras/development/build-logs/

Comment 1 Jose Pedro Oliveira 2005-05-02 19:33:54 UTC
Michael,

Any chance of getting an account in a ppc system?

jpo

Comment 2 Michael Schwendt 2005-05-02 19:56:39 UTC
David Woodhouse has offered ssh access to a ppc box before.

Comment 3 David Woodhouse 2005-05-07 08:32:09 UTC
Builds fine for me.

shinybook /home/dwmw2/working/extras/perl-Config-Tiny/devel $ make ppc
rpmbuild --define "_sourcedir /home/dwmw2/working/extras/perl-Config-Tiny/devel"
--define "_builddir /home/dwmw2/working/extras/perl-Config-Tiny/devel" --define
"_srcrpmdir /home/dwmw2/working/extras/perl-Config-Tiny/devel" --define "_rpmdir
/home/dwmw2/working/extras/perl-Config-Tiny/devel" --target ppc -ba
perl-Config-Tiny.spec
Building target platforms: ppc
Building for target ppc
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.30198
+ umask 022
+ cd /home/dwmw2/working/extras/perl-Config-Tiny/devel
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/dwmw2/working/extras/perl-Config-Tiny/devel
+ rm -rf Config-Tiny-2.01
+ /usr/bin/gzip -dc
/home/dwmw2/working/extras/perl-Config-Tiny/devel/Config-Tiny-2.01.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd Config-Tiny-2.01
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.30198
+ umask 022
+ cd /home/dwmw2/working/extras/perl-Config-Tiny/devel
+ cd Config-Tiny-2.01
+ LANG=C
+ export LANG
+ unset DISPLAY
+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
Checking if your kit is complete...
Looks good
Writing Makefile for Config::Tiny
+ make
make[1]: Entering directory
`/home/dwmw2/working/extras/perl-Config-Tiny/devel/Config-Tiny-2.01'
cp lib/Config/Tiny.pm blib/lib/Config/Tiny.pm
Manifying blib/man3/Config::Tiny.3pm
make[1]: Leaving directory
`/home/dwmw2/working/extras/perl-Config-Tiny/devel/Config-Tiny-2.01'
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.37026
+ umask 022
+ cd /home/dwmw2/working/extras/perl-Config-Tiny/devel
+ cd Config-Tiny-2.01
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm -rf /var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2
+ make pure_install PERL_INSTALL_ROOT=/var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2
make[1]: Entering directory
`/home/dwmw2/working/extras/perl-Config-Tiny/devel/Config-Tiny-2.01'
Installing
/var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2/usr/lib/perl5/vendor_perl/5.8.6/Config/Tiny.pm
Installing
/var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2/usr/share/man/man3/Config::Tiny.3pm
Writing
/usr/lib/perl5/vendor_perl/5.8.6/ppc-linux-thread-multi/auto/Config/Tiny/.packlist
make[1]: Leaving directory
`/home/dwmw2/working/extras/perl-Config-Tiny/devel/Config-Tiny-2.01'
+ find /var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2 -type f -name .packlist -exec
rm -f '{}' ';'
+ find /var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2 -type d -depth -exec rmdir
'{}' ';'
+ chmod -R u+w /var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2/usr
+ /usr/lib/rpm/find-debuginfo.sh
/home/dwmw2/working/extras/perl-Config-Tiny/devel/Config-Tiny-2.01
0 blocks
find: /var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2/usr/lib/debug: No such file or
directory
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.14977
+ umask 022
+ cd /home/dwmw2/working/extras/perl-Config-Tiny/devel
+ cd Config-Tiny-2.01
+ make test
make[1]: Entering directory
`/home/dwmw2/working/extras/perl-Config-Tiny/devel/Config-Tiny-2.01'
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01_main....ok
t/99_pod.....ok
All tests successful.
Files=2, Tests=26,  2 wallclock secs ( 0.57 cusr +  1.10 csys =  1.67 CPU)
make[1]: Leaving directory
`/home/dwmw2/working/extras/perl-Config-Tiny/devel/Config-Tiny-2.01'
+ exit 0
Processing files: perl-Config-Tiny-2.01-2
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.87729
+ umask 022
+ cd /home/dwmw2/working/extras/perl-Config-Tiny/devel
+ cd Config-Tiny-2.01
+
DOCDIR=/var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2/usr/share/doc/perl-Config-Tiny-2.01
+ export DOCDIR
+ rm -rf
/var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2/usr/share/doc/perl-Config-Tiny-2.01
+ /bin/mkdir -p
/var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2/usr/share/doc/perl-Config-Tiny-2.01
+ cp -pr Changes LICENSE README
/var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2/usr/share/doc/perl-Config-Tiny-2.01
+ exit 0
Provides: perl(Config::Tiny) = 2.01
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires: perl >= 0:5.004 perl(:MODULE_COMPAT_5.8.6) perl(strict) perl(vars)
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2
Wrote:
/home/dwmw2/working/extras/perl-Config-Tiny/devel/perl-Config-Tiny-2.01-2.src.rpm
Wrote:
/home/dwmw2/working/extras/perl-Config-Tiny/devel/noarch/perl-Config-Tiny-2.01-2.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.97724
+ umask 022
+ cd /home/dwmw2/working/extras/perl-Config-Tiny/devel
+ cd Config-Tiny-2.01
+ rm -rf /var/tmp/perl-Config-Tiny-2.01-2-root-dwmw2
+ exit 0


Comment 4 Michael Schwendt 2005-05-07 12:00:03 UTC
My report was in response to Seth's build failure summary.
perl-Config-Tiny-2.01-2 did fail to build in his build system, and at present it
cannot be found in the ppc repository.

Feel free to give another build request a try in order to get a build log.

Comment 5 Jose Pedro Oliveira 2005-05-08 02:43:27 UTC
Michael,

The new build request failed timed out. Do I submit a new build request?


Email message
-------------
Build of perl-Config-Tiny on development failed to complete on one or more archs.
Please see logs at:
http://extras64.linux.duke.edu/failed/development/perl-Config-Tiny


Log file content
----------------
Build process terminated by timeout

Comment 6 Michael Schwendt 2005-05-08 13:15:09 UTC
Current time-out of one hour (or one hour and a half) is insufficient, unless
the implementation examines stdout/stderr and resets a soft time-out when output
is detected and applies a hard time-out of a multiple hours.


Comment 7 Jose Pedro Oliveira 2005-05-08 21:03:53 UTC
Just managed to place two build requests for perl-Config-Tiny: 
make build just froze twice.

The first time didn't output nothing.
The second time it ouputed
---
$ make build TARGET=development
**** Access allowed: jpo is in ACL for common.
Checking in tobuild;
/cvs/extras/common/tobuild,v  <--  tobuild
new revision: 1.244; previous revision: 1.243
done
Running syncmail...
Mailing cvsextras@fedora.redhat.com...
...syncmail done.
---
After waiting several minutes just killed it with CTRL+C.

Comment 8 Jose Pedro Oliveira 2005-05-08 21:06:35 UTC
just got the result of the (first?) build request.


Build of perl-Config-Tiny on development succeeded.



Comment 9 Jose Pedro Oliveira 2005-05-08 21:09:11 UTC
Closing this one.

Now going after a PPC building problem (building requirments)
http://extras64.linux.duke.edu/failed/development/perl-Pod-Coverage/0.17-3/ppc/perl-Pod-Coverage-0.17-3.failure.log



Note You need to log in before you can comment on or make changes to this bug.